Summary:	Network traffic recorder
Name:		tcpflow
Version:	1.5.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Networking/Other
URL:		https://github.com/simsong/tcpflow/wiki
# http://www.digitalcorpora.org/downloads/%%{name}/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/simsong/tcpflow/archive/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(openssl)

%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging.
A program like 'tcpdump' shows a summary of packets seen on the wire,
but usually doesn't store the data that's actually being transmitted.
In contrast, tcpflow reconstructs the actual data streams and stores
each flow in a separate file for later analysis.

%prep
%setup -q -n %{name}-%{version}
chmod -x COPYING

%build
sh ./bootstrap.sh
%configure2_5x
%make_build

%install
%make_install

rm -f %{buildroot}/%{_docdir}/INSTALL

%files
%doc AUTHORS ChangeLog NEWS
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Tue Apr 02 2019 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 1385128
- new version: 1.5.2, fixes CVE-2018-18409 (mga#24578)
+ mrambo3501 <mrambo3501>
- version 1.5.0 fixes CVE-2018-14938 (mga#23538)
- added BR for cairo to support 1-page PDF summary generation

* Mon Feb 08 2016 umeabot <umeabot> 1.4.4-4.mga6
+ Revision: 943248
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-3.mga5
+ Revision: 750030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-2.mga5
+ Revision: 689751
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 1.4.4-1.mga5
+ Revision: 592530
- new version 1.4.4

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 519515
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 384177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 fedya <fedya> 1.3.0-1.mga3
+ Revision: 283095
- version update 1.3.0

* Tue Aug 21 2012 fedya <fedya> 1.2.9-1.mga3
+ Revision: 282908
- mkrel1 forgotten comma
- GPL+ license fix
- imported package tcpflow

